/*
	SambaScanner - A tool to scan Samba networks for files.
	Copyright (C) 2005-2006 Johannes Bauer
	
	This file is part of SambaScanner.

    SambaScanner is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; this program is ONLY licensed under
	version 2 of the License, later versions are explicitly excluded.

    SambaScanner is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SambaScanner; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Johannes Bauer
	Mussinanstr. 140
	92318 Neumarkt/Opf.
	JohannesBauer@gmx.de
*/

#ifndef SEMAPHORE_H
#define SEMAPHORE_H

struct Semaphore_Data {
	int Value;
	pthread_mutex_t Mutex;
	pthread_cond_t Signal;
};

void Semaphore_Init(struct Semaphore_Data *SemData, int InitValue);
void Semaphore_Set(struct Semaphore_Data *SemData, int Value);
void P(struct Semaphore_Data *SemData);
void V(struct Semaphore_Data *SemData);

#endif
